# suite config
actor: AcceptanceTester
path: Acceptance
bootstrap: _bootstrap.php

modules:
  enabled:
    - Asserts
    - \OxidEsales\Codeception\Module\ShopSetup:
        dump: '%DUMP_PATH%'
        fixtures: '%FIXTURES_PATH%'
        license: '%license_key%'
    - WebDriver:
        url: '%SHOP_URL%'
        host: '%SELENIUM_SERVER_HOST%'
        browser: '%BROWSER_NAME%'
        port: '%SELENIUM_SERVER_PORT%'
        window_size: maximize
        clear_cookies: true
        restart: true
        capabilities:
          chromeOptions:
            excludeSwitches: [ 'enable-automation' ]
    - Db:
        dsn: 'mysql:host=%DB_HOST%;dbname=%DB_NAME%;charset=utf8'
        user: '%DB_USERNAME%'
        password: '%DB_PASSWORD%'
        port: '%DB_PORT%'
        dump: '%DUMP_PATH%'
        module_dump: '%MODULE_DUMP_PATH%'
        mysql_config: '%MYSQL_CONFIG_PATH%'
        populate: true # run populator before all tests
        cleanup: false # run populator before each test
        populator: >
          mysql --defaults-file=$mysql_config --default-character-set=utf8 $dbname < $dump
          && mysql --defaults-file=$mysql_config --default-character-set=utf8 $dbname < $module_dump
    - \OxidEsales\Codeception\Module\Oxideshop:
        screen_shot_url: '%SCREEN_SHOT_URL%'
        depends:
          - WebDriver
          - Db
    - \OxidEsales\Codeception\Module\OxideshopModules:
        screen_shot_url: '%SCREEN_SHOT_URL%'
    - \OxidEsales\Codeception\Module\Database:
        depends: Db
    - \OxidEsales\Codeception\Module\SelectTheme:
        theme_id: '%THEME_ID%'
        depends:
          - \OxidEsales\Codeception\Module\Database
          - Db
    - \OxidEsales\Codeception\Module\Translation\TranslationsModule:
        shop_path: '%SHOP_SOURCE_PATH%'
        paths:
          - 'Application/views/%TRANSLATION_DIRECTORY%'
          - 'Application/views/%ADMIN_TRANSLATION_DIRECTORY%'
    - \OxidEsales\Codeception\Module\OxideshopModules
step_decorators:
    - \Codeception\Step\Retry
